package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.jalo.enumeration.EnumerationValue;
import java.util.Date;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.jalo.GenericItem;

@SLDSafe
public class OperatorCODRefills extends GenericItem
{
    public static final String PARTNERTRANSID = "partnerTransId";
    public static final String UNIQUEAPIREQNO = "uniqueApiReqNo";
    public static final String CONSUMERNO = "consumerNo";
    public static final String LPGID = "lpgID";
    public static final String CUSTOMERMOBILE = "customerMobile";
    public static final String DISTCODE = "distCode";
    public static final String ORDERNO = "orderNo";
    public static final String BOOKDATE = "bookDate";
    public static final String CORRELATIONID = "correlationId";
    public static final String STATUS = "status";
    public static final String QUANTITY = "quantity";
    public static final String BPCLREFERENCEID = "bpclReferenceId";
    public static final String PRODUCTCODE = "productCode";
    public static final String AMOUNT = "amount";
    public static final String OPERATORMOBILE = "operatorMobile";
    public static final String RETURNCODE = "returnCode";
    public static final String RETURNMSG = "returnMsg";
    public static final String REQSTARTTIME = "reqStartTime";
    public static final String REQENDTIME = "reqEndTime";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return OperatorCODRefills.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public Double getAmount(final SessionContext ctx) {
        return (Double)this.getProperty(ctx, "amount".intern());
    }
    
    public Double getAmount() {
        return this.getAmount(this.getSession().getSessionContext());
    }
    
    public double getAmountAsPrimitive(final SessionContext ctx) {
        final Double value = this.getAmount(ctx);
        return (value != null) ? value : 0.0;
    }
    
    public double getAmountAsPrimitive() {
        return this.getAmountAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setAmount(final SessionContext ctx, final Double value) {
        this.setProperty(ctx, "amount".intern(), (Object)value);
    }
    
    public void setAmount(final Double value) {
        this.setAmount(this.getSession().getSessionContext(), value);
    }
    
    public void setAmount(final SessionContext ctx, final double value) {
        this.setAmount(ctx, Double.valueOf(value));
    }
    
    public void setAmount(final double value) {
        this.setAmount(this.getSession().getSessionContext(), value);
    }
    
    public Date getBookDate(final SessionContext ctx) {
        return (Date)this.getProperty(ctx, "bookDate".intern());
    }
    
    public Date getBookDate() {
        return this.getBookDate(this.getSession().getSessionContext());
    }
    
    public void setBookDate(final SessionContext ctx, final Date value) {
        this.setProperty(ctx, "bookDate".intern(), (Object)value);
    }
    
    public void setBookDate(final Date value) {
        this.setBookDate(this.getSession().getSessionContext(), value);
    }
    
    public String getBpclReferenceId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "bpclReferenceId".intern());
    }
    
    public String getBpclReferenceId() {
        return this.getBpclReferenceId(this.getSession().getSessionContext());
    }
    
    public void setBpclReferenceId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "bpclReferenceId".intern(), (Object)value);
    }
    
    public void setBpclReferenceId(final String value) {
        this.setBpclReferenceId(this.getSession().getSessionContext(), value);
    }
    
    public String getConsumerNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "consumerNo".intern());
    }
    
    public String getConsumerNo() {
        return this.getConsumerNo(this.getSession().getSessionContext());
    }
    
    public void setConsumerNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "consumerNo".intern(), (Object)value);
    }
    
    public void setConsumerNo(final String value) {
        this.setConsumerNo(this.getSession().getSessionContext(), value);
    }
    
    public String getCorrelationId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "correlationId".intern());
    }
    
    public String getCorrelationId() {
        return this.getCorrelationId(this.getSession().getSessionContext());
    }
    
    public void setCorrelationId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "correlationId".intern(), (Object)value);
    }
    
    public void setCorrelationId(final String value) {
        this.setCorrelationId(this.getSession().getSessionContext(), value);
    }
    
    public String getCustomerMobile(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "customerMobile".intern());
    }
    
    public String getCustomerMobile() {
        return this.getCustomerMobile(this.getSession().getSessionContext());
    }
    
    public void setCustomerMobile(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "customerMobile".intern(), (Object)value);
    }
    
    public void setCustomerMobile(final String value) {
        this.setCustomerMobile(this.getSession().getSessionContext(), value);
    }
    
    public String getDistCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "distCode".intern());
    }
    
    public String getDistCode() {
        return this.getDistCode(this.getSession().getSessionContext());
    }
    
    public void setDistCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "distCode".intern(), (Object)value);
    }
    
    public void setDistCode(final String value) {
        this.setDistCode(this.getSession().getSessionContext(), value);
    }
    
    public String getLpgID(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "lpgID".intern());
    }
    
    public String getLpgID() {
        return this.getLpgID(this.getSession().getSessionContext());
    }
    
    public void setLpgID(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "lpgID".intern(), (Object)value);
    }
    
    public void setLpgID(final String value) {
        this.setLpgID(this.getSession().getSessionContext(), value);
    }
    
    public String getOperatorMobile(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "operatorMobile".intern());
    }
    
    public String getOperatorMobile() {
        return this.getOperatorMobile(this.getSession().getSessionContext());
    }
    
    public void setOperatorMobile(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "operatorMobile".intern(), (Object)value);
    }
    
    public void setOperatorMobile(final String value) {
        this.setOperatorMobile(this.getSession().getSessionContext(), value);
    }
    
    public String getOrderNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "orderNo".intern());
    }
    
    public String getOrderNo() {
        return this.getOrderNo(this.getSession().getSessionContext());
    }
    
    public void setOrderNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "orderNo".intern(), (Object)value);
    }
    
    public void setOrderNo(final String value) {
        this.setOrderNo(this.getSession().getSessionContext(), value);
    }
    
    public String getPartnerTransId(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "partnerTransId".intern());
    }
    
    public String getPartnerTransId() {
        return this.getPartnerTransId(this.getSession().getSessionContext());
    }
    
    public void setPartnerTransId(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "partnerTransId".intern(), (Object)value);
    }
    
    public void setPartnerTransId(final String value) {
        this.setPartnerTransId(this.getSession().getSessionContext(), value);
    }
    
    public String getProductCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "productCode".intern());
    }
    
    public String getProductCode() {
        return this.getProductCode(this.getSession().getSessionContext());
    }
    
    public void setProductCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "productCode".intern(), (Object)value);
    }
    
    public void setProductCode(final String value) {
        this.setProductCode(this.getSession().getSessionContext(), value);
    }
    
    public Integer getQuantity(final SessionContext ctx) {
        return (Integer)this.getProperty(ctx, "quantity".intern());
    }
    
    public Integer getQuantity() {
        return this.getQuantity(this.getSession().getSessionContext());
    }
    
    public int getQuantityAsPrimitive(final SessionContext ctx) {
        final Integer value = this.getQuantity(ctx);
        return (value != null) ? value : 0;
    }
    
    public int getQuantityAsPrimitive() {
        return this.getQuantityAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setQuantity(final SessionContext ctx, final Integer value) {
        this.setProperty(ctx, "quantity".intern(), (Object)value);
    }
    
    public void setQuantity(final Integer value) {
        this.setQuantity(this.getSession().getSessionContext(), value);
    }
    
    public void setQuantity(final SessionContext ctx, final int value) {
        this.setQuantity(ctx, Integer.valueOf(value));
    }
    
    public void setQuantity(final int value) {
        this.setQuantity(this.getSession().getSessionContext(), value);
    }
    
    public Long getReqEndTime(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "reqEndTime".intern());
    }
    
    public Long getReqEndTime() {
        return this.getReqEndTime(this.getSession().getSessionContext());
    }
    
    public long getReqEndTimeAsPrimitive(final SessionContext ctx) {
        final Long value = this.getReqEndTime(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getReqEndTimeAsPrimitive() {
        return this.getReqEndTimeAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setReqEndTime(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "reqEndTime".intern(), (Object)value);
    }
    
    public void setReqEndTime(final Long value) {
        this.setReqEndTime(this.getSession().getSessionContext(), value);
    }
    
    public void setReqEndTime(final SessionContext ctx, final long value) {
        this.setReqEndTime(ctx, Long.valueOf(value));
    }
    
    public void setReqEndTime(final long value) {
        this.setReqEndTime(this.getSession().getSessionContext(), value);
    }
    
    public Long getReqStartTime(final SessionContext ctx) {
        return (Long)this.getProperty(ctx, "reqStartTime".intern());
    }
    
    public Long getReqStartTime() {
        return this.getReqStartTime(this.getSession().getSessionContext());
    }
    
    public long getReqStartTimeAsPrimitive(final SessionContext ctx) {
        final Long value = this.getReqStartTime(ctx);
        return (value != null) ? value : 0L;
    }
    
    public long getReqStartTimeAsPrimitive() {
        return this.getReqStartTimeAsPrimitive(this.getSession().getSessionContext());
    }
    
    public void setReqStartTime(final SessionContext ctx, final Long value) {
        this.setProperty(ctx, "reqStartTime".intern(), (Object)value);
    }
    
    public void setReqStartTime(final Long value) {
        this.setReqStartTime(this.getSession().getSessionContext(), value);
    }
    
    public void setReqStartTime(final SessionContext ctx, final long value) {
        this.setReqStartTime(ctx, Long.valueOf(value));
    }
    
    public void setReqStartTime(final long value) {
        this.setReqStartTime(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnCode(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnCode".intern());
    }
    
    public String getReturnCode() {
        return this.getReturnCode(this.getSession().getSessionContext());
    }
    
    public void setReturnCode(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnCode".intern(), (Object)value);
    }
    
    public void setReturnCode(final String value) {
        this.setReturnCode(this.getSession().getSessionContext(), value);
    }
    
    public String getReturnMsg(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "returnMsg".intern());
    }
    
    public String getReturnMsg() {
        return this.getReturnMsg(this.getSession().getSessionContext());
    }
    
    public void setReturnMsg(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "returnMsg".intern(), (Object)value);
    }
    
    public void setReturnMsg(final String value) {
        this.setReturnMsg(this.getSession().getSessionContext(), value);
    }
    
    public EnumerationValue getStatus(final SessionContext ctx) {
        return (EnumerationValue)this.getProperty(ctx, "status".intern());
    }
    
    public EnumerationValue getStatus() {
        return this.getStatus(this.getSession().getSessionContext());
    }
    
    public void setStatus(final SessionContext ctx, final EnumerationValue value) {
        this.setProperty(ctx, "status".intern(), (Object)value);
    }
    
    public void setStatus(final EnumerationValue value) {
        this.setStatus(this.getSession().getSessionContext(), value);
    }
    
    public String getUniqueApiReqNo(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "uniqueApiReqNo".intern());
    }
    
    public String getUniqueApiReqNo() {
        return this.getUniqueApiReqNo(this.getSession().getSessionContext());
    }
    
    public void setUniqueApiReqNo(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "uniqueApiReqNo".intern(), (Object)value);
    }
    
    public void setUniqueApiReqNo(final String value) {
        this.setUniqueApiReqNo(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>();
        tmp.put("partnerTransId", Item.AttributeMode.INITIAL);
        tmp.put("uniqueApiReqNo", Item.AttributeMode.INITIAL);
        tmp.put("consumerNo", Item.AttributeMode.INITIAL);
        tmp.put("lpgID", Item.AttributeMode.INITIAL);
        tmp.put("customerMobile", Item.AttributeMode.INITIAL);
        tmp.put("distCode", Item.AttributeMode.INITIAL);
        tmp.put("orderNo", Item.AttributeMode.INITIAL);
        tmp.put("bookDate", Item.AttributeMode.INITIAL);
        tmp.put("correlationId", Item.AttributeMode.INITIAL);
        tmp.put("status", Item.AttributeMode.INITIAL);
        tmp.put("quantity", Item.AttributeMode.INITIAL);
        tmp.put("bpclReferenceId", Item.AttributeMode.INITIAL);
        tmp.put("productCode", Item.AttributeMode.INITIAL);
        tmp.put("amount", Item.AttributeMode.INITIAL);
        tmp.put("operatorMobile", Item.AttributeMode.INITIAL);
        tmp.put("returnCode", Item.AttributeMode.INITIAL);
        tmp.put("returnMsg", Item.AttributeMode.INITIAL);
        tmp.put("reqStartTime", Item.AttributeMode.INITIAL);
        tmp.put("reqEndTime", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
